package com.steerinfo.ems.ifemsmesactitem.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class IfEmsMesActitem implements IBasePO<Long> {
    /**
     * 主键流水（SEQ_IF_EMS_MES_ACTITEM_ID）(ID,BIGINT,0)
     */
    @ApiModelProperty(value="主键流水（SEQ_IF_EMS_MES_ACTITEM_ID）",required=false)
    private Long id;

    /**
     * 状态（0 已生成，1已上传，2已接收）(STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0 已生成，1已上传，2已接收）",required=false)
    private String state;

    /**
     * 工序ID(WORKPROCID,VARCHAR,40)
     */
    @ApiModelProperty(value="工序ID",required=false)
    private String workprocid;

    /**
     * 工序名称(WORKPROCID_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="工序名称",required=false)
    private String workprocidName;

    /**
     * 业务粒度(TIMEGRANID,VARCHAR,10)
     */
    @ApiModelProperty(value="业务粒度",required=false)
    private String timegranid;

    /**
     * 业务日期(CLOCK,VARCHAR,20)
     */
    @ApiModelProperty(value="业务日期",required=false)
    private String clock;

    /**
     * 能介编码(ENERGYID,VARCHAR,10)
     */
    @ApiModelProperty(value="能介编码",required=false)
    private String energyid;

    /**
     * 能介名称(ENERGYID_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="能介名称",required=false)
    private String energyidName;

    /**
     * 能介属性编码(PROPERTYID,VARCHAR,10)
     */
    @ApiModelProperty(value="能介属性编码",required=false)
    private String propertyid;

    /**
     * 能介属性名称(PROPERTYID_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="能介属性名称",required=false)
    private String propertyidName;

    /**
     * 能介计量单位编码(UNITID,VARCHAR,10)
     */
    @ApiModelProperty(value="能介计量单位编码",required=false)
    private String unitid;

    /**
     * 能介计量单位名称(UNITID_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="能介计量单位名称",required=false)
    private String unitidName;

    /**
     * 能介业务ID(ITEMID,VARCHAR,40)
     */
    @ApiModelProperty(value="能介业务ID",required=false)
    private String itemid;

    /**
     * 能介业务名称(ITEMNAME,VARCHAR,60)
     */
    @ApiModelProperty(value="能介业务名称",required=false)
    private String itemname;

    /**
     * 能介业务值最终值(APPORTVALUE,DECIMAL,0)
     */
    @ApiModelProperty(value="能介业务值最终值",required=false)
    private Double apportvalue;

    /**
     * 上传操作人(OPERATOR_MAN,VARCHAR,10)
     */
    @ApiModelProperty(value="上传操作人",required=false)
    private String operatorMan;

    /**
     * 上传操作时间(OPERATOR_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="上传操作时间",required=false)
    private Date operatorDate;

    /**
     * 备注(MEMO,VARCHAR,1000)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * mes产线编码(LINE,VARCHAR,1000)
     */
    @ApiModelProperty(value="mes产线编码",required=false)
    private String line;

    /**
     * 项目公式计量点编码(FORMULA,VARCHAR,255)
     */
    @ApiModelProperty(value="项目公式计量点编码",required=false)
    private String formula;

    /**
     * 项目公式计量点名称(FORMULADESCRIPTION,VARCHAR,255)
     */
    @ApiModelProperty(value="项目公式计量点名称",required=false)
    private String formuladescription;

    /**
     * 能介业务描述(ITEMDESC,VARCHAR,255)
     */
    @ApiModelProperty(value="能介业务描述",required=false)
    private String itemdesc;

    /**
     * 接收人(RECMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="接收人",required=false)
    private String recman;

    /**
     * 接收时间(RECTIME,DATE,7)
     */
    @ApiModelProperty(value="接收时间",required=false)
    private Date rectime;

    private static final long serialVersionUID = 1L;

    @Override
    public Long getId() {
        return this.id;
    }

    @Override
    public void setId(Long id) {
        this.id = id;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state == null ? null : state.trim();
    }

    public String getWorkprocid() {
        return workprocid;
    }

    public void setWorkprocid(String workprocid) {
        this.workprocid = workprocid == null ? null : workprocid.trim();
    }

    public String getWorkprocidName() {
        return workprocidName;
    }

    public void setWorkprocidName(String workprocidName) {
        this.workprocidName = workprocidName == null ? null : workprocidName.trim();
    }

    public String getTimegranid() {
        return timegranid;
    }

    public void setTimegranid(String timegranid) {
        this.timegranid = timegranid == null ? null : timegranid.trim();
    }

    public String getClock() {
        return clock;
    }

    public void setClock(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public String getEnergyid() {
        return energyid;
    }

    public void setEnergyid(String energyid) {
        this.energyid = energyid == null ? null : energyid.trim();
    }

    public String getEnergyidName() {
        return energyidName;
    }

    public void setEnergyidName(String energyidName) {
        this.energyidName = energyidName == null ? null : energyidName.trim();
    }

    public String getPropertyid() {
        return propertyid;
    }

    public void setPropertyid(String propertyid) {
        this.propertyid = propertyid == null ? null : propertyid.trim();
    }

    public String getPropertyidName() {
        return propertyidName;
    }

    public void setPropertyidName(String propertyidName) {
        this.propertyidName = propertyidName == null ? null : propertyidName.trim();
    }

    public String getUnitid() {
        return unitid;
    }

    public void setUnitid(String unitid) {
        this.unitid = unitid == null ? null : unitid.trim();
    }

    public String getUnitidName() {
        return unitidName;
    }

    public void setUnitidName(String unitidName) {
        this.unitidName = unitidName == null ? null : unitidName.trim();
    }

    public String getItemid() {
        return itemid;
    }

    public void setItemid(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getItemname() {
        return itemname;
    }

    public void setItemname(String itemname) {
        this.itemname = itemname == null ? null : itemname.trim();
    }

    public Double getApportvalue() {
        return apportvalue;
    }

    public void setApportvalue(Double apportvalue) {
        this.apportvalue = apportvalue;
    }

    public String getOperatorMan() {
        return operatorMan;
    }

    public void setOperatorMan(String operatorMan) {
        this.operatorMan = operatorMan == null ? null : operatorMan.trim();
    }

    public Date getOperatorDate() {
        return operatorDate;
    }

    public void setOperatorDate(Date operatorDate) {
        this.operatorDate = operatorDate;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getLine() {
        return line;
    }

    public void setLine(String line) {
        this.line = line == null ? null : line.trim();
    }

    public String getFormula() {
        return formula;
    }

    public void setFormula(String formula) {
        this.formula = formula == null ? null : formula.trim();
    }

    public String getFormuladescription() {
        return formuladescription;
    }

    public void setFormuladescription(String formuladescription) {
        this.formuladescription = formuladescription == null ? null : formuladescription.trim();
    }

    public String getItemdesc() {
        return itemdesc;
    }

    public void setItemdesc(String itemdesc) {
        this.itemdesc = itemdesc == null ? null : itemdesc.trim();
    }

    public String getRecman() {
        return recman;
    }

    public void setRecman(String recman) {
        this.recman = recman == null ? null : recman.trim();
    }

    public Date getRectime() {
        return rectime;
    }

    public void setRectime(Date rectime) {
        this.rectime = rectime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", state=").append(state);
        sb.append(", workprocid=").append(workprocid);
        sb.append(", workprocidName=").append(workprocidName);
        sb.append(", timegranid=").append(timegranid);
        sb.append(", clock=").append(clock);
        sb.append(", energyid=").append(energyid);
        sb.append(", energyidName=").append(energyidName);
        sb.append(", propertyid=").append(propertyid);
        sb.append(", propertyidName=").append(propertyidName);
        sb.append(", unitid=").append(unitid);
        sb.append(", unitidName=").append(unitidName);
        sb.append(", itemid=").append(itemid);
        sb.append(", itemname=").append(itemname);
        sb.append(", itemdesc=").append(itemdesc);
        sb.append(", apportvalue=").append(apportvalue);
        sb.append(", operatorMan=").append(operatorMan);
        sb.append(", operatorDate=").append(operatorDate);
        sb.append(", memo=").append(memo);
        sb.append(", line=").append(line);
        sb.append(", formula=").append(formula);
        sb.append(", formuladescription=").append(formuladescription);
        sb.append(", recman=").append(recman);
        sb.append(", rectime=").append(rectime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}